/*
   ChartButton.cpp
   (c)2014-2022 Forward Computing and Control Pty. Ltd.
   NSW Australia, www.forward.com.au
   This code is not warranted to be fit for any purpose. You may only use it at your own risk.
   This code may be freely used for both private and commercial use
   Provide this copyright is maintained.
*/

#include "ChartButton.h"

ChartButton::ChartButton(pfodDwgs *_dwgsPtr, char _cmd) : pfodControl(_dwgsPtr) {
  cmd = _cmd;
}

// 0,0 is centre of button
void ChartButton::draw() {
 // dwgsPtr->circle().filled().color(dwgsPtr->BLUE).radius(8.25).send();
  dwgsPtr->circle().color(253).filled().radius(8).send(); 
  dwgsPtr->pushZero(-4.5, 4.5); // move from 0,0 to bottom left of chart image
  dwgsPtr->line().color(dwgsPtr->BLACK).offset(0, 0).size(9, 0).send();
  dwgsPtr->line().color(dwgsPtr->BLACK).offset(0, 0).size(0, -9).send();
  dwgsPtr->line().color(dwgsPtr->BLACK).offset(1, -1).size(4, -7.5).send();
  dwgsPtr->line().color(dwgsPtr->BLACK).offset(5, -8.5).size(2, 3.5).send();
  dwgsPtr->line().color(dwgsPtr->BLACK).offset(7, -5).size(2, -2).send();
  dwgsPtr->popZero();
  dwgsPtr->circle().idx(charCircle_idx).color(33).radius(8).send();
  dwgsPtr->touchZone().cmd(cmd).centered().size(8, 8).send(); 
  dwgsPtr->touchAction().cmd(cmd).action(
    dwgsPtr->circle().idx(charCircle_idx).filled().color(dwgsPtr->BLUE).radius(11) // change colour and make larger
  ).send();
}

void ChartButton::update() {
  // nothing to update here
}
