#ifndef TempGauge_C_h
#define TempGauge_C_h
// TempGauge_C.h
/*
   (c)2014-2022 Forward Computing and Control Pty. Ltd.
   NSW Australia, www.forward.com.au
   This code is not warranted to be fit for any purpose. You may only use it at your own risk.
   This code may be freely used for both private and commercial use
   Provide this copyright is maintained.
*/

#include <pfodControl.h>
#include "Temp24hrMaxMin.h"
class TempGauge_C : public pfodControl {
  public:
    // if left == true then markings on left and reading on right of scale
    TempGauge_C(pfodDwgs *_dwgsPtr, bool _left = true, int minTemp = 0, int maxTemp = 35, bool _addScaleLabels = true); 
    void setDegC(float _fvalue); 
    void setDegF(float _fvalue); 
    void draw();
    void update();
    void drawScale();
    Temp24hrMaxMin maxMin24hr;

  private:
    float limitedFillSize(float fvalue);
    void drawScalePoint(int value); // adds lable if addScaleLabels true
    void drawScaleLabel(int value);
    float slidePosition(float value);
    float fvalue;
    char cmd;
    int z_idx; // z-order start index
    int sign;
    int top_temp;
    int bottom_temp;
    int temp_range;
    bool addScaleLabels; // default true to add scale labels/numbers.
    // set to false in constructor if using drawScale() to add the numbers were you want them
    // marks are added always
    static const int sliderRange = 70; // scale to this length

};
#endif // TempGauge_C_h
