#ifndef display_h
#define display_h
/*
  display.h for WeatherStation
   (c)2022 Forward Computing and Control Pty. Ltd.
   NSW Australia, www.forward.com.au
   This code is not warranted to be fit for any purpose. You may only use it at your own risk.
   This code may be freely used for both private and commercial use
   Provide this copyright is maintained.
*/

#include "pfodLinkedPointerList.h" // iterable linked list of pointers to objects
#include "LastSeen.h"  // class for storing on linked list
#include <WiFiClient.h>

const char* getOutsideDevice(); // name of outside BLE
const char* getInsideDevice(); // name of inside BLE

void initializeDisplay();
void processDisplay();
void connect_pfodParser(WiFiClient * client);
void handle_pfodParser();

// this call is protected by listOfLastSeen_Semaphore (if non-null)
void processListOfLastSeen(pfodLinkedPointerList<LastSeen> &lastSeenList);

void setDisplayDebug(Stream* debugOutPtr);

#endif
