#ifndef hPa_BarGraph_h
#define hPa_BarGraph_h
/*
 * hPa_BarGraph.cpp
   (c)2022 Forward Computing and Control Pty. Ltd.
   NSW Australia, www.forward.com.au
   This code is not warranted to be fit for any purpose. You may only use it at your own risk.
   This code may be freely used for both private and commercial use
   Provide this copyright is maintained.
*/
#include <pfodControl.h>
// barometer guage from 960 to 1070 hPa
class hPa_BarGraph : public pfodControl {
  public:
    hPa_BarGraph( pfodDwgs *_dwgsPtr);
    void draw();
    void update();
    void set_hPa(float value);
    size_t getArraySize();
    void setArrayData(unsigned long ms, unsigned int hPa_Times10, size_t idx);
    long getDataInterval_ms();
    static const size_t GRAPH_X_AXIS_SIZE = 48;  // ARRAY_SIZE 0 to GRAPH_X_AXIS_SIZE-1 and add current value at 0hrs
    static const int invalid = 10; // or less
    static const unsigned long X_AXIS_MS =  24ul * 60 * 60 * 1000; // for testing 12ul*60*1000;
    
  private:
    void drawScale();
    void drawScalePoint(int value);
    void drawTimeScalePoint(int hr);
    float valueToLength(unsigned int valueTimes10);
    float timeToXaxis(unsigned long deltaT_ms);
    static const float fullScaleLength;
    static const int minValueTimes10 = 9900;
    static const int maxValueTimes10 = 10300;
    int z_idx;
    unsigned int hPa_times10_Array[GRAPH_X_AXIS_SIZE]; 
    unsigned long hPa_time_Array[GRAPH_X_AXIS_SIZE]; 

};
#endif // hPa_BarGraph_h
