#ifndef hPa_Gauge_h
#define hPa_Gauge_h
/*
 * hPa_Gauge.cpp
   (c)2022 Forward Computing and Control Pty. Ltd.
   NSW Australia, www.forward.com.au
   This code is not warranted to be fit for any purpose. You may only use it at your own risk.
   This code may be freely used for both private and commercial use
   Provide this copyright is maintained.
*/
#include <pfodControl.h>
// barometer guage from 960 to 1070 hPa
class hPa_Gauge : public pfodControl {
  public:
    hPa_Gauge( pfodDwgs *_dwgsPtr);
    void setCmd(char _cmd);
    void draw();
    void update();
    void setPrevious_hPa(float value); // value 1hr ago
    void set_hPa(float value);
  private:
    void drawScalePoint(int value);
    int fullScaleAngle;
    int z_idx;
    int value_previous;
    char cmd;
    unsigned long markerSet_ms;
};
#endif // Gauge_h
